Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 969789 - engine: can't live migrate a disk if the vm also has an inactive disk attached on a domain which is in maintenance
Summary: engine: can't live migrate a disk if the vm also has an inactive disk attache...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Daniel Erez
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-06-02 11:32 UTC by Dafna Ron
Modified: 2016-02-10 17:35 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
log (deleted)
2013-06-02 11:32 UTC, Dafna Ron
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24075 None None None Never
oVirt gerrit 24228 None None None Never

Description Dafna Ron 2013-06-02 11:32:06 UTC
Created attachment 755859 [details]
log

Description of problem:

create snapshot fails in CanDoAction (in engine log only) if we try to live migrate a disk which is attached to a vm that has a second inactive disk on a domain in maintenance. 

Version-Release number of selected component (if applicable):

sf17.2

How reproducible:

100%

Steps to Reproduce:
1. in iscsi storage with multiple domains, create a vm with one disk and run it
2. create a floating disk on a second domain 
3. after the floating disk is created put its domain in maintenance.
4. when domain is in maintenance, attach the floating disk to the vm as inactive (do not hotplug). 
5. try to live storage migrate the active disk 

Actual results:

1. we fail to create a snapshot with CanDoAction 
2. log shows a CanDoAction but there is no CanDoAction shown to the user 

Expected results:

1.we should succeed to live storage migrate the active disk and disregard the inactive disk and its maintenance domain when creating the snapshot. 
2. if this operation is blocked we need to show the user the CanDoAction dialogue. 

Additional info: log


2013-06-02 14:22:30,640 WARN  [org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand] (pool-4-thread-46) [7562beef] CanDoAction of action CreateAllSnapshotsFromVm failed. Reasons:VAR__ACTION__CREATE,VAR__TYPE__SNAPSHOT,ACTION_TYPE_FAILED_STORAGE_DOMAIN_STATUS_ILLEGAL

Comment 2 Elad 2014-02-19 09:37:17 UTC
It's possible to perform live storage migration to a disk that attached to VM which has an inactive (unplugged) disk located on an inactive SD attach to it.

Verified according to steps in the bug description.

Checked on RHEV-3.4:
rhevm-3.4.0-0.2.master.el6ev.noarch
vdsm-4.14.2-0.1.el6ev.x86_64

Comment 3 Sandro Bonazzola 2014-02-19 12:27:33 UTC
This bug is referenced in ovirt-engine-3.4.0-beta3 logs. Moving to ON_QA

Comment 5 Itamar Heim 2014-06-12 14:07:12 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.